Bug 977516 - AR9285 wireless only works when I boot the system with wifi activated through the keyboard after kernel update [NEEDINFO]
AR9285 wireless only works when I boot the system with wifi activated through...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 14:50 EDT by Eduardo Medina
Modified: 2013-11-27 11:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:03:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo? (edu.rm.85)


Attachments (Terms of Use)

  None (edit)
Description Eduardo Medina 2013-06-24 14:50:14 EDT
Description of problem:
I put message here but I don't know is better to manage it from a separated bug report.
https://bugzilla.redhat.com/show_bug.cgi?id=810678

I installed Fedora 18 on my netbook and the AR9285 doesn't work after the kernel update, from 3.6.10-PAE to 3.9.6-PAE. My netbook is a MS-N014.


How reproducible:


Steps to Reproduce:
1. At first the wireless card works correctly.
2. After updating the kernel, the wireless card only works if I switch on the computer with the wireless activated from keyboard.


Additional info:
When I stop and start again the network service I have these messages.

From "systemctl status network.service":
------------------------
network.service - LSB: Bring up/down networking
   Loaded: loaded (/etc/rc.d/init.d/network)
   Active: failed (Result: exit-code) since Mon 2013-06-24 14:03:55 CEST; 42s ago
  Process: 1726 ExecStart=/etc/rc.d/init.d/network start (code=exited, status=1/FAILURE)

Jun 24 14:03:52 msi-fedora systemd[1]: Starting LSB: Bring up/down networking...
Jun 24 14:03:54 msi-fedora network[1726]: Bringing up loopback interface:  [  OK  ]
Jun 24 14:03:54 msi-fedora network[1726]: Bringing up interface Auto_WLAN_2D:  Error: Connection activation failed: Device not managed by NetworkManager or unavailable
Jun 24 14:03:54 msi-fedora network[1726]: [FAILED]
Jun 24 14:03:54 msi-fedora network[1726]: Bringing up interface p1p1:  Error: Connection activation failed: Device not managed by NetworkManager or unavailable
Jun 24 14:03:54 msi-fedora network[1726]: [FAILED]
Jun 24 14:03:55 msi-fedora systemd[1]: network.service: control process exited, code=exited status=1
Jun 24 14:03:55 msi-fedora systemd[1]: Failed to start LSB: Bring up/down networking.
Jun 24 14:03:55 msi-fedora systemd[1]: Unit network.service entered failed state.
------------------------


From "journalctl -xn":
------------------------
-- Logs begin at Mon 2013-06-24 14:00:40 CEST, end at Mon 2013-06-24 14:03:55 CEST. --
Jun 24 14:03:54 msi-fedora network[1726]: Bringing up loopback interface:  [  OK  ]
Jun 24 14:03:54 msi-fedora NetworkManager[576]: <warn> connection /org/freedesktop/NetworkManager/Settings/1 failed to activate: (2) Device not managed by NetworkManager or unavailable
Jun 24 14:03:54 msi-fedora network[1726]: Bringing up interface Auto_WLAN_2D:  Error: Connection activation failed: Device not managed by NetworkManager or unavailable
Jun 24 14:03:54 msi-fedora network[1726]: [FAILED]
Jun 24 14:03:54 msi-fedora NetworkManager[576]: <warn> connection /org/freedesktop/NetworkManager/Settings/0 failed to activate: (2) Device not managed by NetworkManager or unavailable
Jun 24 14:03:54 msi-fedora network[1726]: Bringing up interface p1p1:  Error: Connection activation failed: Device not managed by NetworkManager or unavailable
Jun 24 14:03:54 msi-fedora network[1726]: [FAILED]
Jun 24 14:03:55 msi-fedora systemd[1]: network.service: control process exited, code=exited status=1
Jun 24 14:03:55 msi-fedora systemd[1]: Failed to start LSB: Bring up/down networking.
-- Subject: Unit network.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- Documentation: http://www.freedesktop.org/wiki/Software/systemd/catalog/be02cf6855d2428ba40df7e9d022f03d
-- 
-- Unit network.service has failed.
-- 
-- The result is failed.
Jun 24 14:03:55 msi-fedora systemd[1]: Unit network.service entered failed state.
------------------------

And when I try to start the network service with the wireless activated it doesn't work, it simply blocked for a few seconds and after it gives me these errors:

From "systemctl status network.service":
-----------------------
network.service - LSB: Bring up/down networking
   Loaded: loaded (/etc/rc.d/init.d/network)
   Active: failed (Result: exit-code) since Mon 2013-06-24 14:16:49 CEST; 1min 41s ago
  Process: 2277 ExecStart=/etc/rc.d/init.d/network start (code=exited, status=1/FAILURE)

Jun 24 14:16:49 msi-fedora network[2277]: RTNETLINK answers: File exists
Jun 24 14:16:49 msi-fedora network[2277]: RTNETLINK answers: File exists
Jun 24 14:16:49 msi-fedora network[2277]: RTNETLINK answers: File exists
Jun 24 14:16:49 msi-fedora network[2277]: RTNETLINK answers: File exists
Jun 24 14:16:49 msi-fedora network[2277]: RTNETLINK answers: File exists
Jun 24 14:16:49 msi-fedora network[2277]: RTNETLINK answers: File exists
Jun 24 14:16:49 msi-fedora network[2277]: RTNETLINK answers: File exists
Jun 24 14:16:49 msi-fedora systemd[1]: network.service: control process exited, code=exited status=1
Jun 24 14:16:49 msi-fedora systemd[1]: Failed to start LSB: Bring up/down networking.
Jun 24 14:16:49 msi-fedora systemd[1]: Unit network.service entered failed state.
-----------------------


From "journalctl -xn":
-----------------------
-- Logs begin at Mon 2013-06-24 14:00:40 CEST, end at Mon 2013-06-24 14:18:56 CEST. --
Jun 24 14:18:56 msi-fedora kernel: cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 24 14:18:56 msi-fedora kernel: cfg80211: Calling CRDA for country: ES
Jun 24 14:18:56 msi-fedora kernel: cfg80211: Regulatory domain changed to country: ES
Jun 24 14:18:56 msi-fedora kernel: cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jun 24 14:18:56 msi-fedora kernel: cfg80211:   (2400000 KHz - 2483500 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jun 24 14:18:56 msi-fedora kernel: cfg80211:   (5150000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jun 24 14:18:56 msi-fedora kernel: cfg80211:   (5250000 KHz - 5350000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Jun 24 14:18:56 msi-fedora kernel: cfg80211:   (5470000 KHz - 5725000 KHz @ 40000 KHz), (N/A, 2698 mBm)
Jun 24 14:18:56 msi-fedora kernel: cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Jun 24 14:18:56 msi-fedora NetworkManager[576]: <info> (wlan0): supplicant interface state: disconnected -> scanning
-----------------------


And this is the last content from wpa_supplicant.log:
-----------------------
wlan0: SME: Trying to authenticate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Trying to associate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Associated with 00:22:f7:02:c2:05
wlan0: CTRL-EVENT-DISCONNECTED bssid=00:22:f7:02:c2:05 reason=3
wlan0: SME: Trying to authenticate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Trying to associate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Associated with 00:22:f7:02:c2:05
wlan0: CTRL-EVENT-DISCONNECTED bssid=00:22:f7:02:c2:05 reason=3
wlan0: SME: Trying to authenticate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Trying to associate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Associated with 00:22:f7:02:c2:05
wlan0: CTRL-EVENT-DISCONNECTED bssid=00:22:f7:02:c2:05 reason=3
wlan0: SME: Trying to authenticate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Trying to associate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Associated with 00:22:f7:02:c2:05
wlan0: CTRL-EVENT-DISCONNECTED bssid=00:22:f7:02:c2:05 reason=3
wlan0: SME: Trying to authenticate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Trying to associate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Associated with 00:22:f7:02:c2:05
wlan0: CTRL-EVENT-DISCONNECTED bssid=00:22:f7:02:c2:05 reason=3
wlan0: SME: Trying to authenticate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Trying to associate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Associated with 00:22:f7:02:c2:05
wlan0: CTRL-EVENT-DISCONNECTED bssid=00:22:f7:02:c2:05 reason=3
wlan0: SME: Trying to authenticate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Trying to associate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Associated with 00:22:f7:02:c2:05
wlan0: CTRL-EVENT-DISCONNECTED bssid=00:22:f7:02:c2:05 reason=3
wlan0: SME: Trying to authenticate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Trying to associate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Associated with 00:22:f7:02:c2:05
wlan0: CTRL-EVENT-DISCONNECTED bssid=00:22:f7:02:c2:05 reason=3
wlan0: SME: Trying to authenticate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Trying to associate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Associated with 00:22:f7:02:c2:05
wlan0: CTRL-EVENT-DISCONNECTED bssid=00:22:f7:02:c2:05 reason=3
wlan0: SME: Trying to authenticate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Trying to associate with 00:22:f7:02:c2:05 (SSID='WLAN_2D' freq=2437 MHz)
wlan0: Associated with 00:22:f7:02:c2:05
wlan0: CTRL-EVENT-DISCONNECTED bssid=00:22:f7:02:c2:05 reason=3
-----------------------
Comment 1 Jirka Klimes 2013-06-28 07:05:21 EDT
First, if you think the kernel update caused the problem why you didn't file the bug against kernel?

Second, 'network' is a legacy service. But again if you choose to use it intentionally instead of NetworkManager, why do you file against NetworkManager.

As you indicate the kernel is the problem can you provide more detailed information?
1) kernel info
$ rpm -q kernel
or 
$ uname -a

2) Wireless driver
$ lspci -vv | grep -A 10 Network
$ nmcli -f general dev list iface

3) rfkill state
$ rfkill list
try what happens with the states if you toggle the wi-fi button several times.

4) output of dmesg

5) for debugging NetworkManager please attach /var/log/manager

And, could you elaborate more what you mean by "wireless doesn't work"?
(can't connect (how?), connection is not reliable, .... )
Comment 2 Eduardo Medina 2013-06-28 13:15:56 EDT
Sorry, I'm not an expert searching the origin of bugs.

The
Comment 3 Justin M. Forbes 2013-10-18 17:13:31 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 4 Justin M. Forbes 2013-11-27 11:03:05 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.